What requirements must be met for the FAIRTIQ-App?

  • You need a smartphone with iOS 9.0 (or newer) or Android 4.4 (or newer) 
  • A smartphone with a functioning SIM-card which allows mobile data. We suggest to use FAIRTIQ with a mobile data flat fee.
  • You need a valid means of payment. Credit card (Visa oder MasterCard) or Swisscom Easypay (no prepaid).
  • FAIRTIQ does not support jailbroken or rooted devices
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.